

/* Specific PINs */
    var imageExtension = ".png";
    var nbOfDigits = 4;
    var imagesForPlaceHolder = Array("./passwordKeyBackground.png",
                        "./passwordKeyBackground_1.png",
                        "./passwordKeyBackground_2.png",
                        "./passwordKeyBackground_3.png",
                        "./passwordKeyBackground_4.png");


/* Specific TRI-PIN */


/* Highlight a clicked key */
    $.fn.animateHighlight = function() {
        $(this).append('<div class="highlightedKey" style="display:none;"></div>');
        $(this).find('div.highlightedKey').stop().fadeIn(20).fadeOut(200);
    };

    $.fn.isPressed = function() {
        //$(this).append('<div class="highlightedKey" style="display:none;"></div>');
        //$(this).find('div.highlightedKey').stop().fadeIn(20);
        
        $(this).addClass('highlightedKey');
    };

    $.fn.isReleased = function() {
        //$(this).find('div.highlightedKey').stop().fadeOut(100);
        $(this).removeClass('highlightedKey');
    };


/* Misc Utils */
    var debugMode = 0;
    if( window.controller != null ){
        debugMode = window.controller.isInDebugMode();
    }
    //var debugMode = 1;

    var debug = function (text) {
        if(debugMode == 1){
            $('#debug').append(text+'<br/>');
        }
    };
    
    var concatenateArray = function(myArray){
        if( myArray == null){
            return "";
        }
        var result = "";
        for( var i = 0; i < myArray.length; i++ ){
            result += myArray[i];
        }
        return result;
    };

    var randomInteger = function(max){
        return Math.floor((Math.random()*max));
    };

    $(document).ready( function() {
        if(debugMode == 1){
            $('#debug').fadeIn();
        }
    });